import 'package:hive_flutter/hive_flutter.dart';

abstract class ICollectionStorage {
  // Future<void> initCollection({
  //   required String databaseName,
  //   required Set<String> boxNames,
  // });
  // Future<BoxCollection> openCollection(
  //     {required String databaseName, required Set<String> boxNames});
  Future<CollectionBox<V>> openBox<V>(
      {required String boxName,
      bool preload = false,
      CollectionBox<V> Function(String, BoxCollection)? boxCreator});
  Future<void> transaction(
    Future<void> Function() action, {
    List<String>? boxNames,
    bool readOnly = false,
  });
}
